#ifndef CMS_PKI_CERTS_H_INCLUDED
#define  CMS_PKI_CERTS_H_INCLUDED

#include <vector>

#include "../common/common.h"
#include "pki/icerts.h"
#include "../stdafx.h"

#include "pki.h"
#include "cert.h"

class CertificateCollection : public ICertificateCollection {
public:
	CertificateCollection();
	~CertificateCollection();

	//methods
	Handle<std::string> getProviderName();
	void push(Handle<ICertificate> cert);
	void pop();
	void removeAt(int index);
	int length();
	Handle<ICertificate> items(int index);

protected:
	std::vector<Handle<ICertificate>> vectCertificates;
};

#endif //!CMS_PKI_CERTS_H_INCLUDED
